package com.nantian.cloud.jljc.service;

import com.nantian.cloud.jljc.entity.TReportEnterprise;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 报表1-1企业信息 服务类
 * @since 2020-09-16
 * @author stz
 */
public interface TReportEnterpriseService extends IService<TReportEnterprise> {

    //获取报表设置企业信息
    TReportEnterprise getEnterpriseInfo(String enterpriseCode, String year);

    //根据企业编码和年份获取报表设置主要产品
    String getProductInfo(String enterpriseCode, String year);

    //根据企业编码和年份获取报表设置用能种类
    String getEnergyInfo(String enterpriseCode, String year);

    //根据企业编码和年份获取报表设置指标设定
    String getEnergyIndex(String enterpriseCode, String year);

    //企业信息字典转换
    TReportEnterprise getNameByEnterprise(TReportEnterprise enterprise);

    //获取企业类别（1，国家重点监控耗能企业“万家；2，省重点监控耗能企业；3，市重点监控耗能企业；4，区县重点监控耗能企业；
    //              5，云南省重点用能单位'千家'；6，云南省重点用能单位'万家'）
    String getTypeNameByStr(String str);

    //根据报表信息id获取企业信息
    TReportEnterprise getEnterpriseByReportId(Long reportId);

    //自定义查询获取企业信息，报表设置没有获取企业信息的话，从企业基本信息取出
    TReportEnterprise queryCustomEnterprise(String epc, String year);

    int saveOrUpdateByUniqueKey(TReportEnterprise tReportEnterprise);
}
